udo(1)

NAME
udo - convert files from UDO into different formats

SYNOPSIS
udo [-adDghHilmnpqrstvwWxy] source file
udo [-adDghHilmnpqrstvwWxy] -o destination file source file

DESCRIPTION

UDO converts files from the UDO format into Apple-QuickView, ASCII, HTML, Texinfo, Linuxdoc-SGML, Manualpage, Pure-C-Help, Rich Text Format, ST-Guide, LaTeX, Turbo Vision Help or Windows Help.

Using the first method UDO prints the destination format to the standard output (STDOUT) and error messages to the standard error output (STDERR). Using the second method UDO writes the destination format to the destination file and error messages to a log file with the suffix .ul?.

You have to pass single options to UDO : -al isn't the same as -a -l!

The name of the source file has to be the last option.

OPTIONS

-a, --ascii
    The source file will be converted to ASCII.

--amg
    The source file will be converted to AmigaGuide.

--aqv, --quickview
    The source file will be converted to Apple QuickView.

-c, --c
    A C sourcecode will be generated from the source file. Normal text becomes comment, the content of the sourcecode environment becomes C code.

--check
    Additional checkings will be activated.

-d, --no-idxfile
    Suppresse the generation of index files.

--drc
    The source file will be converted to David's Readme Compiler format.

-D symbol
    Set the symbol `symbol' which can be tested in the source file with !ifset

--force-long
    Force files with long file names.

--force-short
    Force files with short file names (8+3).

-f, --pdflatex
    The source file will be converted to PDFLaTeX sourcecode.

-g, --helptag
    The source file will be converted to HP Helptag SGML.

--help
    Outputs a help page and quits.

-h, --html
    The source file will be converted to HTML.

-hh, --htmlhelp
    The source file will be converted to HTML-Help.

-H, --hold
    You have to press a key before UDO finishes.

-i, --info
    The source file will be converted to GNU Texinfo.

--ipf
    The source file will be converted to OS/2 IPF format.

--lyx
    The source file will be converted to LyX.

-l, --no-logfile
    When using the Option -o UDO doesn't save a log file.

-m, --man
    The source file will be converted to a manualpage.

--map
    Generate a C header file with jump id's for the WinHelp format.

--map-gfa
    Generate a GFA Basic header file with jump id's for the WinHelp format.

--map-pas
    Generate a Pascal header file with jump id's for the WinHelp format.

--map-vb
    Generate a VisualBasic header file with jump id's for the WinHelp format.

-n, --nroff
    The source file will be converted to Nroff.

-o F, --outfile F
    UDO writes the output into the file named "F".

-P, --pascal
    A Pascal sourcecode will be generated from the source file. Normal text becomes comment, the content of the sourcecode environment becomes Pascal code.

-p, --pchelp
    The source file will be converted to Pure C Help.

--ps
    The source file will be converted to PostScript.

-q, --quiet
    UDO won't print anything to STDOUT or STDERR.

-r, --rtf
    The source file will be converted to RTF.

--save-upr
    Generate an additional project filr (.upr). There information about outfiles, infiles, nodes and index entries are listed.

-s, --stg
    The source file will be converted to ST-Guide.

--test
    When using this option UDO won't save a destination file.

-t, --tex
    The source file will be converted to LaTeX.

--tree
    When using this option UDO will save a file with the suffix .ut?. In this file you will see a tree with all files your source file includes.

-u, --udo
    Generate one file in udo format containing all included source files. This allows one to put all source files into one udo file.

--verbose
    UDO will print some status information wile converting the source file.

--version
    Outputs version information and quits UDO

-v, --vision
    The source file will be converted to Turbo Vision Help.

-w, --win
    The source file will be converted to Windows Help.

-w4, --win4
    The source file will be converted to Windows Help 4.

-W, --no-warnings
    Warnings will be suppressed. Error messages will still be printed.

-x, --linuxdoc
    The source file will be converted to Linuxdoc-SGML.

-y, --no-hypfile
    UDO doesn't save a file with syllabification hints (.uh?) when using the option -o.

-@ F
    UDO will read the options from the file named "F".

EXAMPLES

udo file.u

    Convert the source file `file.u' to ASCII (default) and print the output to the standard output and error messages to the standard error output.

udo --tex -o output.tex file.u

    Convert the source file `file.u' to LaTeX and write the output to the file named `output.tex'. Warnings, error messages and additional information will be written to the log file named `output.ult'.

udo -s -y -l -o ! file.u

    Convert the source file `file.u' to ST-Guide and write the output to `file.stg'. UDO won't save a log file or a file with syllabification patterns.

ENVIRONMENT

HOME
    UDO looks for the file udo.ini in your home directory if

    UDOPATH doesn't exist.

LANG
    Sets the language UDO shall use for error messages if neither LC_ALL nor LC_MESSAGES exists.

LC_ALL
    If this is set to `german' UDO prints German messages. If this variable doesn't exist LC_MESSAGES it tested instead.

LC_MESSAGES
    See LC_ALL If this variable doesn't exist, too,

    LANG is tested instead.

UDOPATH
    UDO looks for the file udo.ini in the directory defined by this variable. If UDOPATH doesn't exist HOME is tested instead.

EXIT STATUS

0   Everything was OK.

>0  An error has appeared.

AUTHOR
Copyright (c) 1995, 1996, 1997 by
Dirk Hagedorn (Dirk Hagedorn @ MK2, DirkHage@aol.com)